This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 489923

Summary: i965 multi-head rotating problem
Product: [Fedora] Fedora Reporter: Lukas Bezdicka <social>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: ajax, azelinka, m.watts, pv+redhat, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-02 10:38:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg.0.log none

Description Lukas Bezdicka 2009-03-12 11:18:58 EDT
Description of problem:
When I rotate my screens for example one to left another to right one of them gets black.

Version-Release number of selected component (if applicable):
xorg-x11-server-1.6.0-12.fc11

How reproducible:
always

Steps to Reproduce:
1. plug in another monitor, start gnome-display-properties
2. rotate one screen to left and set another one to upside down
3. repeat random rotation
  
Actual results:
The screen/monitor with gnome-display-properties is black but as you can see it gets rendered http://x86.sk/~social/_code/intel/turned%20around.png

Expected results:
Both monitors working

Additional info:
Also mouse gets a bit disordered when starting x with one screen turned/upside down.
Comment 1 Ales Zelinka 2009-03-31 11:28:33 EDT
I can confirm this.

1) 2 displays, VGA1 left of LVDS1, rotated left
2) rotating VGA1 left and right works (many times
3) rotating VGA1 back to normal switches the monitor off

It can be switched on by restarting X. Trying to off/on it via xrandr only offs LVDS1 (yes, the one I'm not even touching), leaving me with 0 displays.

xorg-x11-server-Xorg-1.6.0-15.fc11.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-drv-intel-2.6.99.902-1.fc11.x86_64

no xorg.conf, log attached
Comment 2 Ales Zelinka 2009-03-31 11:30:09 EDT
Created attachment 337319 [details]
Xorg.0.log
Comment 3 Ales Zelinka 2009-04-06 03:00:05 EDT
Also, this bugs looks like a duplicate of bug 489959 - same problem triggered by a different action (rotation/placement).
Comment 4 Matěj Cepl 2009-04-06 19:12:38 EDT
*** Bug 489959 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2009-06-09 08:09:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:23:02 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Mark Watts 2009-11-23 09:39:44 EST
Just tried reproducing these bugs on Fedora 12 (release).

Everything seems to work on my 855GM with an external 1600x1200 screen attached to the laptop as well. Laptop is a Fujitsu P7010. External screen is an NEC MultiSync 2080UX+.

I've tried the following:

- Mirrored and non-mirrored using default settings.
- Moving the screen positioning to cover all 4 positions of the external screen (left/right, above/below the laptop panel).
- Changing the orientation of the external display to all 4 rotations.

Apart from dragging a window from one panel to the other while one screen is set to "upside-down" breaking my brain, it all seems to work just fine!

Also, the graphical boot works too.
Comment 9 Mark Watts 2009-11-23 09:42:56 EST
I may have spoken too soon; disconnecting the external monitor and trying to set the laptop panel to its native resolution (1280x768) has hard-locked the machine.
Comment 10 Ales Zelinka 2010-02-25 07:58:36 EST
A notification email just reminded me that this bug is still alive. So I tried to reproduce it and failed. Seems fixed. On F12 it is (xorg-x11-drv-intel-2.9.1-1.fc12.i686)
Comment 11 Matěj Cepl 2010-03-02 10:38:43 EST
Thank you for letting us know.